Create website for Elisa
Closed, ResolvedPublic

Description

According to this Reddit comment: https://www.reddit.com/r/kde/comments/f6bi9k/amarok_is_so_dead_it_is_not_longer_in_debian/fi4rdji/. Elisa developers want a new website, so let's create a new website :)

Requirements:

  • Need to showcase all the major features
  • Need to show screenshots of Elisa
  • Need to show that Elisa is available for Linux and Windows
  • For reducing the maintenance burden and strengthen the KDE brand, need to use the KDE Jekyll theme
  • Need to have a get involved page or link the community.k.o/Get_Involved
  • Need a download page (with link to windows store, source code, ...)
  • Need a blog feature for announcements?????

Point of contacts

ognarb created this task.Feb 20 2020, 10:05 AM
deprov added a subscriber: deprov.Sep 19 2020, 8:29 AM

I would like to work on this but I have some doubts.

  • Is there a wire-frame or structure I need to consider?
  • Is there any specific web-stack need?
  • What pages are needed?

We use jekyll for creating the websites and have a theme ready. See https://community.kde.org/KDE.org/Jekyll for a tutorial to how to use it.

The biggest work will be the homepage and there is to my knowledge no mockup, but you can use some recent KDE websites as inspirations (and copy the html): https://kde.org/, https://kde.slimbook.es/, ...

the download, contact, and other pages are generic and can be copied from another websites very easily. :)

hey anubhav , I'm also interested in this . Would you like to work together on this?

yes @nikunjgoyal we can work together. I will contact you regarding the proceedings.

@ognarb is it alright if we do this in hugo or does it have to be in jekyll?

Hugo is also fine :) You can find some layout files here: https://invent.kde.org/websites/kde-org-announcements-releases :)

Thanks everybody for this initiative. Even though I did some web dev at my work, I really feel incompetent on this.
That will be really cool to have a website to promote Elisa and help its users find information about its usage.

Here is the temporary deployment: Link
The source is here Link
Kindly review the task

@deprov Thanks a lot !

I really like it.

We should improve the current assets and get more feedback but I am sure we will get a very good result.

I will see what I can do to help you on that.

@deprov and @nikunjgoyal: nice work :D I will try to review and maybe send a few MR to your repo tomorrow

@nikunjgoyal Thanks a lot and I am very sorry to have missed you in my first comment.

@mgallien it's alright :) Hope we're able to finish up with a great website for elisa :)

@mgallien @ognarb hey folks :)
just wanted to ask if there is something else that we need to do so that elisa's site could be launched as soon as possible :)

Hi @nikunjgoyal and @deprov,

Great work! I just created a small MR https://invent.kde.org/deprov/elisa-website/-/merge_requests/2 fixing a few minor issues and adding more colorful screnshots. After this MR get merged I think the only part missings are:

  • Adding a screenshot showing the dark and white theme. Maybe something like this could work:
  • And I would ask the Promo team for a small review of your work: You can join the telegram with the following link https://t.me/joinchat/AEyx-0O8HKlHV7Cg7ZoSyA or #kde-promo in irc/matrix

From my side, the website is now perfect :) @mgallien are you ok to deploy it and who should get commit access to it other than you?

It is perfect. I am really grateful to everybody for such a nice website.

Should I move some blog posts about Elisa on this site ? As it is the current entries should be removed or they will lead to some confusion.

@ognarb I really hope somebody could also be designed as committer such that I can take holidays or not fear to be run over by a bus. How other websites are run ?

It is perfect. I am really grateful to everybody for such a nice website.

Should I move some blog posts about Elisa on this site ? As it is the current entries should be removed or they will lead to some confusion.

I guess it is better to have just the new blog to the website and let the old blog post on your website. Less work and less confusion :)

@ognarb I really hope somebody could also be designed as committer such that I can take holidays or not fear to be run over by a bus. How other websites are run ?

Usually, the maintainer and a few people who they trust get access to it. Additionally, all these persons also have access: https://invent.kde.org/groups/websites/-/group_members.

@ognarb The current list looks good except maybe @nikunjgoyal and @deprov who created the site are out of the list. Is this usual for websites ?

It is handled a bit differently for code and I understand that a website may have different rules but it seems a bit weird to me.

@ognarb The current list looks good except maybe @nikunjgoyal and @deprov who created the site are out of the list. Is this usual for websites ?

It is handled a bit differently for code and I understand that a website may have different rules but it seems a bit weird to me.

I plan to add them to the list but I need to sponsor their KDE developer account first :) Then we can add them to the list of committers.

Also, the website is now live https://elisa.kde.org. Paul wanted to do a small review of it before we can announce it to the whole world on social media :D I already mentioned it a bit in https://carlschwan.eu/2020/09/28/what-is-cooking-on-kde-website.html

Thanks a lot for launching the site 😍😍😍.
Also thanks a lot @ognarb for sponsoring us 🔥🔥🔥.

Great work everyone! It's gorgeous!

I do notice that https://elisa.kde.org/blog/ has blog posts about KPhotoAlbum though.

Thanks everyone @ognarb @nikunjgoyal @mgallien @ngraham for helping through the course. Happy to see this work live.

ngraham closed this task as Resolved.Mon, Sep 28, 7:09 PM
ngraham moved this task from Backlog to Done on the Elisa board.
ngraham claimed this task.

Looks like that's fixed now. Closing!

@ngraham The removal of the unrelated posts is https://invent.kde.org/websites/elisa-kde-org/-/merge_requests/4 and I just merged it.

@ognarb thanks for your support and help in making it live.

@nikunjgoyal and @deprov Thanks a lot for your work. I would have never been able to complete that amount of work and get this done. You already have made a difference (at least for me ;) )